Bug 1258793 - [DOC]-SBRvirt request - Storage pool documentation needs to be re-tweaked
[DOC]-SBRvirt request - Storage pool documentation needs to be re-tweaked
Status: VERIFIED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: doc-Virtualization_Deployment_and_Administration_Guide (Show other bugs)
7.2
Unspecified Unspecified
medium Severity unspecified
: rc
: ---
Assigned To: Yehuda Zimmerman
Jaroslav Suchanek
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-01 06:09 EDT by Laura Novich
Modified: 2018-06-06 06:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
yzimmerm: needinfo+


Attachments (Terms of Use)

  None (edit)
Description Laura Novich 2015-09-01 06:09:06 EDT
Document URL: 
https://documentation-devel.engineering.redhat.com/site/documentation/en-US/Red_Hat_Enterprise_Linux/7/html/Virtualization_Deployment_and_Administration_Guide/chap-Storage_pools.html
Section Number and Name: Storage Pools chapter 13

Describe the issue:  
 Storage pool documentation needs to be re-tweaked - need to address the concept of a storage pool. Storage pools are not required - we have nothing to say whether you do or don’t need a storage pool
It is possible to create image from the defaults. Placing image files anywhere as an option is also not stated - need to tweak SELinux for this.
Fix includes: 
*Rewriting the ENTIRE storage chapter
*Put in section that dictates which hardware solution yields which storage pool
*Clearer understanding for what a storage pool volume and solution are and how and when to use them
*CLEARLY state that a storage pool is not required
*Also important is to Explain difference between the types of storage pool
*How to choose the storage pool that matches what you want to do, why to use one type or another.
*There are many ways to use storage. ie. if they have Fibre Channel -- put on LUNs or put on LVM
Customers should/usually understand what base system they have - will know if they have:
NFS
iSCSI
FC
Based on this they choose which storage pool type to configure. However, they don’t know which instructions apply to them.

Suggestions for improvement: 

Additional information:
Comment 6 John Ferlan 2018-03-08 08:31:05 EST
Unclear why there's 2 bugs tracking exactly the same thing (bz 1470018 points at the same link above). If one or the other is preferred for updates let me know; otherwise, I'll assume the latter is preferred. I'll work section by section - never quite sure how long it'll take to finish, but I am working on it now and will provide some feedback shortly.

Note You need to log in before you can comment on or make changes to this bug.